LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File graphviz-guile.patch of Package graphviz-plugins (Project graphics)

Index: graphviz-2.28.0/configure.ac
===================================================================
--- graphviz-2.28.0.orig/configure.ac	2012-06-11 16:27:06.331573194 +0200
+++ graphviz-2.28.0/configure.ac	2012-06-11 16:28:11.651511310 +0200
@@ -676,7 +676,7 @@ else
       if test "x$GUILE" = "x"; then
         use_guile="No (guile not available)"
       else
-        GUILE_VERSION=`$GUILE --version | head -1 | cut -d ' ' -f 2`
+        GUILE_VERSION=$($GUILE --version | head -1 | sed -e 's/.* \([[0-9.]*]\)$/\1/')
         GUILE_VERSION_MAJOR=`echo $GUILE_VERSION | cut -d '.' -f 1`
         GUILE_VERSION_MINOR=`echo $GUILE_VERSION | cut -d '.' -f 2`
         if test $GUILE_VERSION_MAJOR -lt 2; then
@@ -691,12 +691,15 @@ else
         if test "x$GUILE" = "x"; then
 	  use_guile="No (guile is too old)"
         else
-          GUILE_INCLUDES=
-          GUILE_LIBS=
+          GUILE_INCLUDES=$(guile-config compile)
+          GUILE_LIBS=$(guile-config link)
+	   save_CPPFLAGS="$CPPFLAGS";
+	   CPPFLAGS="$CPPFLAGS $GUILE_INCLUDES";
           AC_CHECK_HEADER(libguile.h,,[
             use_guile="No (guile header missing)"
             GUILE=
           ])
+          CPPFLAGS="$save_CPPFLAGS";
           if test "x$GUILE" != "x"; then
 	    use_guile="Yes"
             AC_SUBST(GUILE_INCLUDES)
Index: graphviz-2.28.0/configure
===================================================================
--- graphviz-2.28.0.orig/configure	2012-06-11 16:27:26.000000000 +0200
+++ graphviz-2.28.0/configure	2012-06-11 16:29:17.500424846 +0200
@@ -20066,7 +20066,7 @@ fi
       if test "x$GUILE" = "x"; then
         use_guile="No (guile not available)"
       else
-        GUILE_VERSION=`$GUILE --version | head -1 | cut -d ' ' -f 2`
+        GUILE_VERSION=$($GUILE --version | head -1 | sed -e 's/.* \([[0-9.]*]\)$/\1/')
         GUILE_VERSION_MAJOR=`echo $GUILE_VERSION | cut -d '.' -f 1`
         GUILE_VERSION_MINOR=`echo $GUILE_VERSION | cut -d '.' -f 2`
         if test $GUILE_VERSION_MAJOR -lt 2; then
@@ -20081,8 +20081,10 @@ fi
         if test "x$GUILE" = "x"; then
 	  use_guile="No (guile is too old)"
         else
-          GUILE_INCLUDES=
-          GUILE_LIBS=
+          GUILE_INCLUDES=$(guile-config compile)
+          GUILE_LIBS=$(guile-config link)
+          save_CPPFLAGS="$CPPFLAGS";
+          CPPFLAGS="$CPPFLAGS $GUILE_INCLUDES";
           ac_fn_c_check_header_mongrel "$LINENO" "libguile.h" "ac_cv_header_libguile_h" "$ac_includes_default"
 if test "x$ac_cv_header_libguile_h" = x""yes; then :
 
@@ -20092,6 +20094,7 @@ else
             GUILE=
 
 fi
+	 CPPFLAGS="$save_CPPFLAGS";
 
 
           if test "x$GUILE" != "x"; then